Loading...
Searching...
No Matches
juce::RelativeParallelogram Class Reference

## Detailed Description

A parallelogram defined by three RelativePoint positions.

See also
  RelativePoint, RelativeCoordinate

The documentation for this class was generated from the following file:

- juce_gui_basics/positioning/juce_RelativeParallelogram.h

## Public Member Functions

| RelativeParallelogram ()
| RelativeParallelogram (const Rectangle< float > &simpleRectangle)
| RelativeParallelogram (const RelativePoint &topLeft, const RelativePoint &topRight, const RelativePoint &bottomLeft)
| RelativeParallelogram (const String &topLeft, const String &topRight, const String &bottomLeft)
| ~RelativeParallelogram ()
void | resolveThreePoints (Point< float > *points, Expression::Scope *scope) const
void | resolveFourCorners (Point< float > *points, Expression::Scope *scope) const
const Rectangle< float > | getBounds (Expression::Scope *scope) const
void | getPath (Path &path, Expression::Scope *scope) const
AffineTransform | resetToPerpendicular (Expression::Scope *scope)
bool | isDynamic () const
bool | operator== (const RelativeParallelogram &) const noexcept
bool | operator!= (const RelativeParallelogram &) const noexcept

## Static Public Member Functions

static Point< float > | getInternalCoordForPoint (const Point< float > *parallelogramCorners, Point< float > point) noexcept
static Point< float > | getPointForInternalCoord (const Point< float > *parallelogramCorners, Point< float > internalPoint) noexcept
static Rectangle< float > | getBoundingBox (const Point< float > *parallelogramCorners) noexcept

## Public Attributes

RelativePoint | topLeft
RelativePoint | topRight
RelativePoint | bottomLeft

## Constructors and Destructors

## RelativeParallelogram() [1/4]

juce::RelativeParallelogram::RelativeParallelogram | ( |  | ) |

Referenced by operator!=(), and operator==().

## RelativeParallelogram() [2/4]

juce::RelativeParallelogram::RelativeParallelogram | ( | const Rectangle< float > & | simpleRectangle | ) |

## RelativeParallelogram() [3/4]

juce::RelativeParallelogram::RelativeParallelogram | ( | const RelativePoint & | topLeft,
|  | const RelativePoint & | topRight,
|  | const RelativePoint & | bottomLeft )

References bottomLeft, topLeft, and topRight.

## RelativeParallelogram() [4/4]

juce::RelativeParallelogram::RelativeParallelogram | ( | const String & | topLeft,
|  | const String & | topRight,
|  | const String & | bottomLeft )

References bottomLeft, topLeft, and topRight.

## ~RelativeParallelogram()

juce::RelativeParallelogram::~RelativeParallelogram | ( |  | ) |

## Member Functions

## resolveThreePoints()

void juce::RelativeParallelogram::resolveThreePoints | ( | Point< float > * | points,
|  | Expression::Scope * | scope ) const

## resolveFourCorners()

void juce::RelativeParallelogram::resolveFourCorners | ( | Point< float > * | points,
|  | Expression::Scope * | scope ) const

## getBounds()

const Rectangle< float > juce::RelativeParallelogram::getBounds | ( | Expression::Scope * | scope | ) | const

## getPath()

void juce::RelativeParallelogram::getPath | ( | Path & | path,
|  | Expression::Scope * | scope ) const

## resetToPerpendicular()

AffineTransform juce::RelativeParallelogram::resetToPerpendicular | ( | Expression::Scope * | scope | ) |

## isDynamic()

bool juce::RelativeParallelogram::isDynamic | ( |  | ) | const

## operator==()

bool juce::RelativeParallelogram::operator== | ( | const RelativeParallelogram & |  | ) | const

noexcept

References RelativeParallelogram().

## operator!=()

bool juce::RelativeParallelogram::operator!= | ( | const RelativeParallelogram & |  | ) | const

noexcept

References RelativeParallelogram().

## getInternalCoordForPoint()

Point< float > juce::RelativeParallelogram::getInternalCoordForPoint | ( | const Point< float > * | parallelogramCorners,
|  | Point< float > | point )

static noexcept

## getPointForInternalCoord()

Point< float > juce::RelativeParallelogram::getPointForInternalCoord | ( | const Point< float > * | parallelogramCorners,
|  | Point< float > | internalPoint )

static noexcept

## getBoundingBox()

Rectangle< float > juce::RelativeParallelogram::getBoundingBox | ( | const Point< float > * | parallelogramCorners | ) |

static noexcept

## Member Data Documentation

## topLeft

RelativePoint juce::RelativeParallelogram::topLeft

Referenced by RelativeParallelogram(), and RelativeParallelogram().

## topRight

RelativePoint juce::RelativeParallelogram::topRight

Referenced by RelativeParallelogram(), and RelativeParallelogram().

## bottomLeft

RelativePoint juce::RelativeParallelogram::bottomLeft

Referenced by RelativeParallelogram(), and RelativeParallelogram().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited